%define upstream_name    Wx-Perl-DataWalker
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension for blah blah blah
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Devel::Size)
BuildRequires: perl(Wx)
BuildRequires: perl(YAML::XS)

BuildArch: noarch

%description
'Wx::Perl::DataWalker' implements a 'Wx::Frame' subclass that shows a
relatively simple Perl data structure browser. After opening such a frame
and supplying it with a reference to an essentially arbitrary data
structure, you can visually browse it by double-clicking references.

So far, there is no tree view but only a display of the current level of
the data structure. You can traverse back up the structure with a _back_
button.

Optionally, 'Wx::Perl::DataWalker' displays the (approximate!) size of the
data structure using 'Devel::Size'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests require display
#make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-11.mga10
+ Revision: 2213674
- Mageia 10 Mass Rebuild

* Fri Apr 01 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1839603
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1498310
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1272737
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1035879
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 929869
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 750321
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 516030
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 374884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 36851
- skip tests, requiring display
- mageia rebuild
- imported package perl-Wx-Perl-DataWalker

